Debian Bug report logs - #591037
chromium-browser: should not repeatedly ask if cookies should be set in incognito mode

version graph

Package: chromium-browser; Maintainer for chromium-browser is Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>; Source for chromium-browser is src:chromium-browser.

Reported by: Russell Coker <russell@coker.com.au>

Date: Sat, 31 Jul 2010 09:45:01 UTC

Severity: normal

Tags: upstream

Found in version chromium-browser/5.0.375.125~r53311-1

Fixed in versions chromium-browser/7.0.544.0~r61416-1, 7.0.544.0~r61416-1

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to http://crbug.com/44670

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#591037; Package chromium-browser. (Sat, 31 Jul 2010 09:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russell Coker <russell@coker.com.au>:
New Bug report received and forwarded. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Sat, 31 Jul 2010 09:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: chromium-browser: should not repeatedly ask if cookies should be set in incognito mode
Date: Sat, 31 Jul 2010 19:41:15 +1000
Package: chromium-browser
Version: 5.0.375.125~r53311-1
Severity: normal

http://code.google.com/p/chromium/issues/detail?id=44670

The above upstream bug report has this issue.

When in incognito mode and when you have configured Chrome to ask before
storing cookies there is no way to say "allow all cookies from this site" (for
the duration of the incognito session) and there is no way to configure the
cookie policy for incognito mode to be either "accept all" or "reject all".
This means that if you visit a cookie-heavy site such as www.microsoft.com
then you have to press ENTER a lot.

http://code.google.com/p/chromium/issues/detail?id=42920

The above bug regarding closing an incognito window when being asked for a
cookie causing a crash makes this more annoying.  If a web site is on a slow
link and is periodically sending another cookie then there is always the chance
of getting a crash when you close a tab.  I haven't reproduced #42920 on the
current chromium-browser package (it hit me on the Google Chrome package).

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages chromium-browser depends on:
ii  chromium-browser-in 5.0.375.125~r53311-1 page inspector for the chromium-br
ii  libasound2          1.0.23-1             shared library for ALSA applicatio
ii  libatk1.0-0         1.30.0-1             The ATK accessibility toolkit
ii  libbz2-1.0          1.0.5-4              high-quality block-sorting file co
ii  libc6               2.11.2-2             Embedded GNU C Library: Shared lib
ii  libcairo2           1.8.10-4             The Cairo 2D vector graphics libra
ii  libdbus-1-3         1.2.24-3             simple interprocess messaging syst
ii  libdbus-glib-1-2    0.86-1               simple interprocess messaging syst
ii  libevent-1.4-2      1.4.13-stable-1      An asynchronous event notification
ii  libexpat1           2.0.1-7              XML parsing C library - runtime li
ii  libfontconfig1      2.8.0-2.1            generic font configuration library
ii  libfreetype6        2.4.0-2              FreeType 2 font engine, shared lib
ii  libgcc1             1:4.4.4-7            GCC support library
ii  libgconf2-4         2.28.1-3             GNOME configuration database syste
ii  libgl1-mesa-glx [li 7.7.1-4              A free implementation of the OpenG
ii  libglewmx1.5        1.5.4-1              The OpenGL Extension Wrangler - ru
ii  libglib2.0-0        2.24.1-1             The GLib library of C routines
ii  libgtk2.0-0         2.20.1-1             The GTK+ graphical user interface 
ii  libicu44            4.4.1-6              International Components for Unico
ii  libjpeg62           6b1-1                The Independent JPEG Group's JPEG 
ii  libnspr4-0d         4.8.4-2              NetScape Portable Runtime Library
ii  libnss3-1d          3.12.6-3             Network Security Service libraries
ii  libpango1.0-0       1.28.1-1             Layout and rendering of internatio
ii  libpng12-0          1.2.44-1             PNG library - runtime
ii  libprotobuf6        2.3.0-2.1            protocol buffers C++ library
ii  libstdc++6          4.4.4-7              The GNU Standard C++ Library v3
ii  libv8-2.2.24        2.2.24-4             V8 JavaScript Engine
ii  libvpx0             0.9.1-1              VP8 video codec (shared library)
ii  libx11-6            2:1.3.3-3            X11 client-side library
ii  libxext6            2:1.1.2-1            X11 miscellaneous extension librar
ii  libxml2             2.7.7.dfsg-4         GNOME XML library
ii  libxrender1         1:0.9.6-1            X Rendering Extension client libra
ii  libxslt1.1          1.1.26-5             XSLT 1.0 processing library - runt
ii  libxss1             1:1.2.0-2            X11 Screen Saver extension library
ii  xdg-utils           1.0.2+cvs20100307-1  desktop integration utilities from
ii  zlib1g              1:1.2.3.4.dfsg-3     compression library - runtime

chromium-browser recommends no packages.

Versions of packages chromium-browser suggests:
pn  chromium-browser-l10n         <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#591037; Package chromium-browser. (Tue, 09 Nov 2010 01:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Tue, 09 Nov 2010 01:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 591037@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Russell Coker <russell@coker.com.au>
Cc: 591037@bugs.debian.org
Subject: Re: chromium-browser: should not repeatedly ask if cookies should be set in incognito mode
Date: Mon, 8 Nov 2010 18:59:11 -0600
tags 591037 + upstream
forwarded 591037 http://crbug.com/44670
fixed 591037 chromium-browser/7.0.544.0~r61416-1
quit

Hi Russell,

Russell Coker wrote:

> 1. Go to Options, "Details" page, Content Settings, Cookies
> 2. activate 2nd setting: ask before cookies are set
> 3. Start Incognito mode, go to any web page, e.g. google.com: the browser 
> will ask for the cookie.
>
> In my opinion this is not necessary: the cookies should be saved anyway for 
> this session even though the option in the setting is set (as the browser 
> won't let me save them anyway).

I doubt you will like this fix, but the Cookie Settings dialog looks
as follows:

	(*) Allow local data to be set (recommended)
	( ) Block sites from setting any local data
	[Exceptions...]
	[ ] Block all third-party cookies without exception
	[X] Clear cookies and other site data when I close my browser
	[Show cookies and other site data...]

						[Close]

In particular, there is no "ask before cookies are set" option.

Thanks for a clear report,
Jonathan




Added tag(s) upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 09 Nov 2010 01:03:04 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://crbug.com/44670'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 09 Nov 2010 01:03:05 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions chromium-browser/7.0.544.0~r61416-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 09 Nov 2010 01:03:05 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 10 Mar 2011 16:36:16 GMT) Full text and rfc822 format available.

Removed tag(s) wontfix. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 10 Mar 2011 23:15:05 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Thu, 10 Mar 2011 23:15:08 GMT) Full text and rfc822 format available.

Notification sent to Russell Coker <russell@coker.com.au>:
Bug acknowledged by developer. (Thu, 10 Mar 2011 23:15:08 GMT) Full text and rfc822 format available.

Message #25 received at 591037-done@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 591037-done@bugs.debian.org
Subject: Re: chromium-browser: should not repeatedly ask if cookies should be set in incognito mode
Date: Thu, 10 Mar 2011 17:12:11 -0600
Version: 7.0.544.0~r61416-1

bauerb@chromium.org wrote:

> The modal cookie prompt is gone now anyway.

Which makes it fixed, as far as I can tell.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 16 Jul 2011 07:36:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:39:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.